(* Compilation of isac, wn.7.3.01

  ======================= system setup from scratch, wn.7.3.01 ==========
  source modified: Isa99.WN/src/Pure/thm.ML
                   Isa99.WN/src/HOL/Tools/numeral_syntax.ML

  === HOL + "Anderungen --- " ---: INSTALL, dann aufruf mit ...
  /usr/local/sw/sml/Isabelle99/bin/isabelle
     
  === HOL-Real *.html:
  cd /usr/local/sw/sml/Isabelle99/src/HOL/
  /usr/local/sw/sml/Isabelle99/bin/isatool usedir -i true HOL Real/
     (*5 min! erg"anzt HOL/index.html mit Session*)

  === HOL-Real binaries:
  /usr/local/sw/sml/Isabelle99/bin/isatool make HOL-Real
     (*Building Pure(0:02:28) HOL (0:08:44) HOL-Real (0:05:32 elapsed time)*)
  =======================================================================

startup
 cd ~/isabelle/heaps/smlnj-110_x86-linux/
 sml @SMLload=02-HOL-Real-isac

 cd"~/develop/sml/";
 use"ROOT.ML";

=====================

thy.html:
 cd ~/ME99/
 /usr/local/sw/sml/Isabelle99/bin/isatool usedir -i true HOL-Real isac/
 (*contents.html: FullCollectionHead -> None*)

save image:
 cd"~/isabelle/heaps/smlnj-110_x86-linux/";
 SMLofNJ.exportML"HOL-Real-isac020702-richard";
 chmod u+x HOL-Real-isac020702-richard-linux
*)


Compiler.Control.Print.printDepth:=6; (*4 default*)
Compiler.Control.Print.printDepth:=5; (*4 default*)
Compiler.Control.Print.printDepth:=4; (*4 default*)
Compiler.Control.Print.printLength:=999; (*8 default*)
Compiler.Control.Print.stringDepth:=250; (*250 default*)

(*this function from Isabelle2002/src/Pure/library.ML
  is covered by fn : term list -> term -> term list -> term list
  reestablish it again here*)
(* cd"~/develop/isac/";
   *)
fun find_first _ [] = None
  | find_first pred (x :: xs) =
      if pred x then Some x else find_first pred xs;

use"library.sml";
use"definitions.sml";
cd "Scripts";
       use"term_G.sml";
       use"calculate.sml";
       use"rewrite.sml";
       use"reverse-rew.sml";
       use_thy"Script"; (*+ ListG,Tools*)
(*     cd"Isa02";
       remove_thy"ListG";
       *)
       use"scrtools.sml";
       cd ".."; 
use"globals.sml";
cd "ME";
       use"mstools.sml";
       use"sequent.sml";
       use"ptyps.sml";
       use"modspec.sml";
       use"generate.sml";
       use"appl.sml";
       use"script.sml";
       use"solve.sml"; 
       cd ".."; 
"******* build ME complete *******";
use"DG-ME-states.sml";
cd "DG";
       use"dialog.sml";        
       cd ".."; 
use"print_exn_G.sml";
use"stdin-out.sml";
"******* build ME & DG complete *******";

cd "IsacKnowledge";
       use_thy"Isac";
(*     remove_thy"Typefix";
       use_thy"knowledge/Isac";
       *)
       cd "../";
"******* build ME & DG complete, knowledge added *******";

cd"kbtest";
       use"complex.sml";
       use"diff.sml";
       use"diffapp.sml";
       use"float.sml";
     (*use"inssort.sml"; problems with recdef in Isabelle2002*)
       use"logexp.sml";
       use"poly.sml";
     (*use"polyeq.sml"; WN.7.3.03 nach 'nested' rewrite_set*)
     (*use"rateq.sml";  WN.7.3.03 nach 'nested' rewrite_set*)
       use"ratrooteq.sml";
       use"rational.sml";
       use"root.sml";
       use"rooteq.sml";
     (*use"rlang.sml"; -------------------intermediate---- *)
       use"termorder.sml";
       use"trig.sml";
       use"vect.sml";                
       "******* kbtests complete *******";
       cd "../";

cd "systest";
       use"calculate.sml";     
       use"details.sml";
       use"list_rls.sml";      
       use"refine.sml";	       
       use"root-equ.sml"; 
       use"script.sml";   
    (* use"script_if.sml";   missing: is_rootequation_in*)
       use"scriptnew.sml";     
       use"subp-rooteq.sml";   
       use"FE-KE.sml"; 
       (**)		       
       use"testdaten.sml";     
       proofs:= []; dials:=([],[],[]); 
       "******* systests complete *******";
       cd "../";

Compiler.Control.Print.printDepth:=9; (*4 default*)
Compiler.Control.Print.printDepth:=4; (*4 default*)
Compiler.Control.Print.printLength:=8; (*8 default*)
Compiler.Control.Print.printLength:=9999; (*8 default*)
Compiler.Control.Print.stringDepth:=9999; (*250 default*)

(*
val ttt = (term_of o the o (parse thy))
	  "#9 + #4 * x = (sqrt x + sqrt (#5 + x)) ^^^ #2";
*)
